﻿init python:
    class dress_up:
        def __init__(self,  dir, cloths):
            self.dir = dir
            self.cloths = cloths

        def next(self, s):
            if self.cloths[s][1] < len(self.cloths[s][2])-1:
                self.cloths[s][1] += 1
        def back(self, s):
            if self.cloths[s][1] > 0:
                self.cloths[s][1] -= 1
        def add(self, s, x):
            self.cloths[s][2].append(x)


default dressup1 = dress_up(
    "dressup/example", # Base directory for this character
    [
        # Item name, index, list of items, zoom offset
        ["Hair", 0, ["01", "02", "03"], 700, 2.5],
        # ["Face", 0, ["Happy", "angry", "sad"], 0, 1.0],
        ["Bottom", 0, ["01", "02", "03", "04", "05"], -200, 1.5],
        ["Top", 0, ["01", "02", "03", "04", "05", "06"], 300, 2.0],
        ["Shoe", 0, ["01", "02", "03", "04","05", None], -700, 2.5],
    ],
    )

label cobbard:
    pass

transform du_zoom(z, y):
    ease .4 zoom z yoffset y

screen dressup(c= dressup1):
    modal True
    default zoo = 1
    default zz = 1.0
    default yo = 0
    frame:
        if zoo:
            at du_zoom(zz, yo)
        xysize 400,800
        fixed:
            fit_first True
            for i in c.cloths:
                if i[2][i[1]]:
                    add "{}/{}/{}.png".format(c.dir, i[0], i[2][i[1]])

    vbox:
        spacing 0 xalign 0.1
        for ii, i in enumerate(c.cloths):
            button:
                hovered SetScreenVariable("zz", i[4]), SetScreenVariable("yo", i[3])
                unhovered SetScreenVariable("zz", 1.0), SetScreenVariable("yo", 0)
                action NullAction()
                # background None
                hbox:
                    button:
                        text "<<"
                        action Function(c.back, ii)
                        hovered SetScreenVariable("zz", i[4]), SetScreenVariable("yo", i[3])
                        unhovered SetScreenVariable("zz", 1.0), SetScreenVariable("yo", 0)

                    label i[0] xsize 120 background None
                    button:
                        text ">>"
                        action Function(c.next, ii)
                        hovered SetScreenVariable("zz", i[4]), SetScreenVariable("yo", i[3])
                        unhovered SetScreenVariable("zz", 1.0), SetScreenVariable("yo", 0)
        hbox:
            button:
                if zoo:
                    text "Zoom is on"
                else:
                    text "Zoom is off"
                action ToggleScreenVariable("zoo", 0, 1)

